All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class RemoteFileComponentPanel

    com.sas.swing.visuals.remotefileselector.RemoteFileComponentPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class RemoteFileComponentPanel

A panel that contains the view component and provides support for changing the viewed component.

Since:
  3.0
See Also:
  Serialized Form

Constructor Summary
`RemoteFileComponentPanel(BaseRemoteFileSelectorPanel parentComponent)` Constructor

Method Summary
`RemoteFileComponentInterface` | `getViewComponent()` Returns the currently viewed component.
`protected void` | `init()` Initializes the component with a list view.
`void` | `setRemoteModel(RemoteFileServerModelInterface model)` Sets the model being used by the view.
`void` | `setViewComponent(java.lang.String view)` Sets the currently viewed component.

Constructor Detail

### RemoteFileComponentPanel

    public RemoteFileComponentPanel(BaseRemoteFileSelectorPanel parentComponent)

  Constructor

  Parameters:
    `parentComponent` - the panel's parent component

Method Detail

### init

    protected void init()

  Initializes the component with a list view.

### getViewComponent

    public RemoteFileComponentInterface getViewComponent()

  Returns the currently viewed component.

  Returns:
    the view component
  See Also:
    `setViewComponent(String)`

### setRemoteModel

    public void setRemoteModel(RemoteFileServerModelInterface model)

  Sets the model being used by the view.

  Parameters:
    `model` - the model

### setViewComponent

    public void setViewComponent(java.lang.String view)

  Sets the currently viewed component.

  Parameters:
    `view` - the name of the view to be set
  See Also:
    `getViewComponent()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.